import { AEntity, AEntityWithNumberID, AEntityWithStringID } from './abstract-entity/abstract-entity';
import { AEntityWithName, AEntityWithNumberIDAndName, AEntityWithStringIDAndName } from './abstract-entity-with-name';
import { StringOrNumber } from '../types';
export declare class Entity extends AEntity<StringOrNumber> {
    constructor(id: StringOrNumber, originalJsonDto?: unknown);
}
export declare class EntityWithNumberID extends AEntityWithNumberID {
    constructor(id: number, originalJsonDto?: unknown);
}
export declare class EntityWithStringID extends AEntityWithStringID {
    constructor(id: string, originalJsonDto?: unknown);
}
export declare class EntityWithName extends AEntityWithName<StringOrNumber> {
    constructor(id: StringOrNumber, name: string, originalJsonDto?: unknown);
}
export declare class EntityWithNumberIDAndName extends AEntityWithNumberIDAndName {
    constructor(id: number, name: string, originalJsonDto?: unknown);
}
export declare class EntityWithStringIDAndName extends AEntityWithStringIDAndName {
    constructor(id: string, name: string, originalJsonDto?: unknown);
}
//# sourceMappingURL=entity.d.ts.map