export function a_removeIf(array, filterFn, ...items) {
    for (const item of items) {
        if (item && filterFn(item)) {
            const itemIndex = array.indexOf(item);
            if (itemIndex !== -1) {
                array.splice(itemIndex, 1);
            }
        }
    }
    return array;
}
//# sourceMappingURL=remove-if.js.map