import { formatDateBeginning } from '../format-date-beginning';
import { d_from } from '../from';
/**
 * Returns a string formatted in 'YYYY-MM-DD'
 * If string or date is null, returns <code>null</code>
 * @param {string|Date|undefined|null} date
 * @return string|undefined
 */
export function d_format(date) {
    return date ? formatDateBeginning(d_from(date)) : undefined;
}
//# sourceMappingURL=format-date.js.map