import { DateInput } from '../../../types';
/**
 * Calculates the difference between two dates in terms of days, hours, minutes, and seconds.
 * @param {DateInput} dateNow - The current date.
 * @param {DateInput} dateFuture - The future date to compare with.
 * @returns {string} A string representation of the timespan in the format "Xd, Yh, Zm, As", where X is the number
 * of days, Y is the number of hours, Z is the number of minutes, and A is the number of seconds.
 */
export declare const d_timespan: (dateNow: DateInput, dateFuture: DateInput) => string;
//# sourceMappingURL=timespan.d.ts.map